# Author: LeonMaxx

# Disable binary stripping
%global __os_install_post %{nil}

# Disable debug package
%global debug_package %{nil}

%{!?_version: %define _version 1.0}

Name:			wine-proton-dxvk-native
Version:		%{_version}
Release:        1%{?dist}
Summary:        A Vulkan-based translation layer for Direct3D 10/11 which allows running 3D applications on Linux using Wine
License:        BSD
Group:          Hardware/Other
Url:            https://github.com/doitsujin/dxvk
Source0:        https://github.com/doitsujin/dxvk/releases/download/v%{version}/dxvk-%{version}.tar.gz
Source1:	wine-update-prefix

Requires:		wine-proton-core

%description
%{summary}.

%prep
%setup -q -n dxvk-%{version}

%build
# Nothing to do

%install
%ifarch %{ix86}
%define dxvklibdir x32
%else
%define dxvklibdir x64
%endif

mkdir -p %{buildroot}%{_bindir}

install -Dm 755 %{SOURCE1} %{buildroot}%{_bindir}/wine-update-prefix

mkdir -p %{buildroot}%{_libdir}/wine/fakedlls

cp %{dxvklibdir}/d3d10.dll %{buildroot}%{_libdir}/wine/d3d10-dxvk.dll
cp %{dxvklibdir}/d3d10_1.dll %{buildroot}%{_libdir}/wine/d3d10_1-dxvk.dll
cp %{dxvklibdir}/d3d10core.dll %{buildroot}%{_libdir}/wine/d3d10core-dxvk.dll
cp %{dxvklibdir}/d3d11.dll %{buildroot}%{_libdir}/wine/d3d11-dxvk.dll
cp %{dxvklibdir}/dxgi.dll %{buildroot}%{_libdir}/wine/dxgi-dxvk.dll

ln -s %{_libdir}/wine/d3d10-dxvk.dll %{buildroot}%{_libdir}/wine/fakedlls/d3d10-dxvk.dll
ln -s %{_libdir}/wine/d3d10_1-dxvk.dll %{buildroot}%{_libdir}/wine/fakedlls/d3d10_1-dxvk.dll
ln -s %{_libdir}/wine/d3d10core-dxvk.dll %{buildroot}%{_libdir}/wine/fakedlls/d3d10core-dxvk.dll
ln -s %{_libdir}/wine/d3d11-dxvk.dll %{buildroot}%{_libdir}/wine/fakedlls/d3d11-dxvk.dll
ln -s %{_libdir}/wine/dxgi-dxvk.dll %{buildroot}%{_libdir}/wine/fakedlls/dxgi-dxvk.dll

%files
%{_bindir}/wine-update-prefix
%{_libdir}/wine/*.dll
%{_libdir}/wine/fakedlls/*.dll
